



                                MINI-LEDGER
                              SETUP PROCEDURES

          INTRODUCTION 

          The setup procedure for  all Paradigm programs is the  same.
     Each program  has a utility menu.  The  first item on the utility
     menu directs you to the setup menu.  Select that option.

          MENU COLORS 

          Let's assume you want to change  the colors on your menus or
     the color of the box around the menus.

          Choose: 

                              1 <RETURN> 

          That will take you to the color setting display: 

          Let's change the color of the box around the menus.

          Choose
                              1 <RETURN>
      
          That  will  take you  to  a  display of  colored  boxes with
     numbers in  them.  Enter  the number of  the box color  which you
     like.   That will  take you back  to the  above display,  but the
     color of the box around it will have been changed.

          The process for changing the other colors is the same.  When
     you choose a  menu item, you  will be taken  to a numbered  color
     display. Choosing one of  the numbers in the display  will change
     the color on the above menu. 

          PRINTER SETUP

          From the setup menu:

          Choose: 

                              2 <RETURN> 

          That will result in a printer setup display.
      
          In most cases you will be able to choose a printer  from the
     list shown on the screen.  In  case yours is not listed, you will
     be asked to supply the following:
      
          1 Print Pica (10 CPI) Usually -- 27 31 13
          2 Print Elite (12 CPI) Usually -- 27 31 11
          3 Print Compress (15 CPI) Usually -- 27 31 9

     Mini-Ledger Setup Manual
     06.07.90                                                   Page 1











      
          You will have to consult your  printer manual or your dealer
     for the escape  sequences your  printer uses.   The values  above
     seem fairly universal for daisy wheel  printers, but yours may be
     different. 

          If you have a dot matrix printer which is not listed  on the
     table, try the Epson FX80 to start with.

          If  your  printer does  not support  one  of the  items, for
     example,  printing 12 characters per  inch, don't worry about not
     including it. The program will probably work ok without it. 

          AFTER SETTING-UP 

          After you have chosen a  printer from the list, you  will be
     shown a display which shows the  present settings for the printer
     you have selected.

          Let's say you want to change the PICA setting.

          Type: 
      
                              1 <RETURN> 
      
          The program will now ask: 
      
          How many characters to print pica? 
      
          Answer:
                              3 <RETURN> 
      
          The program will ask: 
      
          What is the decimal value of character #1? 
      
          Answer:
                              27 <RETURN> 
      
          The program will ask: 
      
          What is the decimal value of character #2? 
      
          Answer:

                              31 <RETURN> 

          The program will ask: 
      
          What is the decimal value of character #3? 
      
          Answer:

     Mini-Ledger Setup Manual
     06.07.90                                                   Page 2











                              13 <RETURN> 

          and you will be taken back to the display above. 

          When you have made the changes you want, press <RETURN> to 
     indicate that you want to make no further changes.  The program 
     will store your settings and return you to the setup menu. 
      
          STORAGE DRIVE 
      
          From the setup menu: 
      
      
          Choose: 
      
                                   3 <RETURN> 
      
          That should result in this message: 
      
          Pressing <RETURN> will leave it unchanged.  If you want to 
     change it you can choose any alphabetical letter from A to Z. 
      
          You should now get a confirmation message.
       
          Press return to  confirm your  choice.  Next,  you should  a
     message which prompts you for the date format.

          As the question  implies, you can  use either form of  date,
     but you must be consistent.  Once  you have made your choice, you
     must stick with  it, unless you want to go back through your data
     and change a lot of dates.

          DISK DRIVE CONSIDERATIONS 
      
          If you have  the disk space to  handle both the program  and
     the 
     storage files it creates,  for example if  you have a hard  disk,
     you  probably should  choose the  program drive  as  your storage
     drive. 
     In any case, when  you are finished choosing your  storage drive,
     you will be taken back to the setup menu. 

          SUB-DIRECTORIES 

          From the setup menu:

          Choose: 

                              4 <RETURN> 

          If   you  want   to  have   your  storage  on   a  different
     sub-directory than where your program is  kept, enter the name of

     Mini-Ledger Setup Manual
     06.07.90                                                   Page 3











     sub directory  where you  want it.   It is  not necessary  to put
     either slashes or  back-slashes at the  beginning and end of  the
     sub-directory name.  The program will provide them.

          DELETING A SUB-DIRECTORY SETTING 
      
          If you want to set a  sub-directory setting to nothing; that
     is,  ask the program  to do its storage  in the logged directory,
     use  your  <Del> key  to  get rid  of  the  characters which  are
     currently there.    If  you  use  the  space  bar  to  blank  the
     characters,  the  program   will  think  you  are  asking  for  a
     sub-directory whose name is made up of spaces.

                                ASCII TABLE

     Aka Ascii Dec Hex   Ascii Dec Hex  Ascii Dec Hex 

          NUL  0    0    3    51   33   f    102  66 
     ^A SOH    1    1    4    52   34   g    103  67 
     ^B STX    2    2    5    53   35   h    104  68 
     ^C ETX    3    3    6    54   36   i    105  69 
     ^D EOT    4    4    7    55   37   j    106  6A 
     ^E ENQ    5    5    8    56   38   k    107  6B 
     ^F ACK    6    6    9    57   39   l    108  6C 
     ^G BEL    7    7    :    58   3A   m    109  6D 
     ^H BS     8    8    ;    59   3B   n    110  6E 
     ^I HT     9    9    <    60   3C   o    111  6F 
     ^J LF     10   0A   =    61   3D   p    112  70 
     ^K VT     11   0B   >    62   3E   q    113  71 
     ^L FF     12   0C   ?    63   3F   r    114  72 
     ^M CR     13   0D   @    64   40   s    115  73 
     ^N SO     14   0E   A    65   41   t    116  74 
     ^O SI     15   0F   B    66   42   u    117  75 
     ^P DLE    16   10   C    67   43   v    118  76 
     ^Q DC1    17   11   D    68   44   w    119  77 
     ^R DC2    18   12   E    69   45   x    120  78 
     ^S DC3    19   13   F    70   46   y    121  79 
     ^T DC4    20   14   G    71   47   z    122  7A 
     ^U NAK    21   15   H    72   48   {    123  7B 
     ^V SYN    22   16   I    73   49   |    124  7C 
     ^W ETB    23   17   J    74   4A   }    125  7D 
     ^X CAN    24   18   K    75   4B   ~    126  7E 
     ^Y EM     25   19   L    76   4C   DEL  127  7F 
     ^Z SUB    26   1A   M    77   4D 
          ESC  27   1B   N    78   4E 
          FS   28   1C   O    79   4F 
          GS   29   1D   P    80   50 
          RS   30   1E   Q    81   51 
          US   31   1F   R    82   52 
          SP   32   20   S    83   53 
          !    33   21   T    84   54 
          "    34   22   U    85   55 

     Mini-Ledger Setup Manual
     06.07.90                                                   Page 4











          #    35   23   V    86   56 
          $    36   24   W    87   57 
          %    37   25   X    88   58 
          &    38   26   Y    89   59 
          '    39   27   Z    90   5A 
          (    40   28   [    91   5B 
          )    41   29   \    92   5C 
          *    42   2A   ]    93   5D 
          +    43   2B   ^    94   5E 
          ,    44   2C   _    95   5F 
          -    45   2D   '    96   60 
          .    46   2E   a    97   61 
          /    47   2F   b    98   62 
          0    48   30   c    99   63 
          1    49   31   d    100  64 
          2    50   32   e    101  65 





































     Mini-Ledger Setup Manual
     06.07.90                                                   Page 5








