PROGRAM BARTENDER(INPUT,OUTPUT);
 
TYPE  
number_type = 1..29;  
 
{ const  
none }  
 
VAR  
a_choice : number_type;  
 
PROCEDURE intro;  
 
BEGIN  
   CLRSCR;  
   TEXTCOLOR(YELLOW);  
   GOTOXY(4,14);  
   WRITELN('* * BARTENDERS RECIPE GUIDE * *');  
   WRITELN;WRITELN;  
   TEXTCOLOR(LIGHTBLUE);  
   WRITELN('  1.  ALEXANDER              15. GEORGIA JULEP');  
   WRITELN('  2.  AMERICAN GROG          16. GIMLET');  
   WRITELN('  3.  BACARDI COCKTAIL       17. GIN & BITTERS');  
   WRITELN('  4.  BANANA DAIQUIRI        18. GIN & TONIC');
   WRITELN('  5.  BEER BUSTER            19. GRASSHOPPER');  
   WRITELN('  6.  BOURBON HIGHBALL       20. HORSE''S NECK');  
   WRITELN('  7.  BOURBON SOUR           21. HOT BUTTERED RUM');  
   WRITELN('  8.  BULL''S EYE             22. LADY BE GOOD');  
   WRITELN('  9.  CAFE ROYAL             23. LADY FINGER');  
   WRITELN('  10. CHAMPAGNE COCKTAIL     24. MANHATTAN');  
   WRITELN('  11. COMPUTER NIGHTMARE     25. MARGARITA');  
   WRITELN('  12. CREME DE MENTHE        26. MARTINI');  
   WRITELN('  13. DAIQUIRI               27. NIGHT CAP');  
   WRITELN('  14. DIXIE JULEP            28. TBS DAYTIMER');  
   WRITELN;  
   TEXTCOLOR(LIGHTRED);  
   WRITE('ENTER THE NUMBER OF YOUR CHOICE (or 29 to END) ');  
   TEXTCOLOR(LIGHTMAGENTA);  
END;  
 
PROCEDURE wait_a_sec;  
 
VAR  
    v : CHAR;  
 
BEGIN  
   TEXTCOLOR(RED + Blink);
   WRITELN;  
   WRITE('                  PRESS ENTER WHEN READY TO CONTINUE');  
   READ(v);  
END;  
 
PROCEDURE select_drink;  
 
BEGIN  
   
   CASE a_choice OF  
      
      1 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);
          WRITELN('ALEXANDER COCKTAIL');
          WRITELN;
          WRITELN('1 OZ DRY GIN');
          WRITELN('1 OZ CREME DE CACAO (WHITE)');  
          WRITELN('1 OZ SWEET CREAM');  
          WRITELN;  
          WRITELN('SHAKE WITH ICE, STRAIN, AND POUR OVER ICE.');  
          WRITELN('SPRINKLE WITH NUTMEG.');  
          Wait_a_sec;
      END;  
      2 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('AMERICAN GROG');  
          WRITELN;  
          WRITELN('1 LUMP SUGAR');  
          WRITELN('JUICE 1/4 LEMON');  
          WRITELN('1 1/2 OZ RUM');  
          WRITELN;  
          WRITELN('HEAT A GLASS AND WATER.  POUR THE INGREDIENTS AND HOT WATER');
          WRITELN('INTO THE HOT GLASS.  STIR.');
          Wait_a_sec;
      END;  
      3 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('BACARDI COCKTAIL');  
          WRITELN;  
          WRITELN('1 1/2 OZ. BACARDI RUM');  
          WRITELN('JUICE 1/2 LIME');  
          WRITELN('1/2 TEASPOON GRENADINE');  
          WRITELN;
          WRITELN('SHAKE WITH ICE AND STRAIN INTO GLASS.');  
          Wait_a_sec;  
      END;  
      4 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('BANANA DAIQUIRI');  
          WRITELN;  
          WRITELN('1 1/2 OZ RUM');  
          WRITELN('1 1/4 OZ LIME JUICE');  
          WRITELN('1 TBLSPOON CURACAO');  
          WRITELN('1 TEASPOON SUGAR');  
          WRITELN('1 SLICED BANANA');  
          WRITELN('1 CUP CRUSHED ICE');  
          WRITELN;  
          WRITELN('POUR INGREDIENTS IN A BLENDER,');
          WRITELN('AND RUN ON LOW FOR 5 SECONDS');
          WRITELN('THEN TURN ON HIGH SPEED UNTIL FIRM.');  
          WRITELN('SERVE WITH CHERRY ON TOP');  
          Wait_a_sec;  
      END;  
      5 : BEGIN  
          CLRSCR;
          GOTOXY(4,3);
          WRITELN('BEER BUSTER');  
          WRITELN;  
          WRITELN('1 1/4 OZ 100 PROOF VODKA');  
          WRITELN('1 COLD BEER');  
          WRITELN('2 DASHES OF TABASCO SAUCE');  
          WRITELN;  
          WRITELN('POUR INGREDIENTS INTO A GLASS AND STIR LIGHTLY');  
          Wait_a_sec;  
      END;  
      6 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('BOURBON HIGHBALL');  
          WRITELN;  
          WRITELN('2 OZ WHISKEY');  
          WRITELN('GINGER ALE');  
          WRITELN('ICE');  
          WRITELN;  
          WRITELN('POUR INTO GLASS - ADD LEMON PEEL (OPTIONAL) - STIR');  
          Wait_a_sec;  
      END;
      7 : BEGIN
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('BOURBON SOUR');  
          WRITELN;  
          WRITELN('2 OZ WHISKEY');
          WRITELN('1 EGG WHITE');  
          WRITELN('JUICE 1/2 LEMON');  
          WRITELN('1 TEASPOON POWDERED SUGAR');  
          WRITELN;  
          WRITELN('SHAKE WITH CRACKED ICE - ADD LEMON SLICE AND CHERRY');  
          Wait_a_sec;  
      END;  
      8 : BEGIN
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('BULL''S EYE');
          WRITELN;  
          WRITELN('1 OZ BRANDY');  
          WRITELN('2 OZ HARD CIDER');  
          WRITELN('GINGER ALE');  
          WRITELN;  
          WRITELN('POUR INGREDIENTS INTO GLASS WITH ICE AND STIR.');  
          Wait_a_sec;
      END;  
      9 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('CAFE ROYAL');  
          WRITELN;  
          WRITELN('1 LUMP OF SUGAR');  
          WRITELN('HIGH PROOF BRANDY');  
          WRITELN;  
          WRITELN('SOAK LUMP OF SUGAR IN BRANDY.  IGNITE IN TEASPOON,');
          WRITELN(' WHILE HOLDING IT OVER A CUP OF COFFEE.');
          WRITELN('HOLD UNTIL IT BURNS OUT. STIR INTO COFFEE.');
          Wait_a_sec;  
       END;  
       10 : BEGIN  
          CLRSCR;
          GOTOXY(4,3);  
          WRITELN('CHAMPAGNE COCKTAIL');  
          WRITELN;  
          WRITELN('1 LUMP OF SUGAR');  
          WRITELN('2 DASHES OF BITTERS');  
          WRITELN('CHAMPAGNE');  
          WRITELN;
          WRITELN('POUR INGREDIENTS INTO GLASS - FILL WITH CHAMPAGNE.');  
          WRITELN('ADD LEMON PEEL TWIST.');  
          Wait_a_sec;  
       END;  
       11 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('COMPUTER NIGHTMARE');  
          WRITELN;  
          WRITELN('2 OZ COFFEE FLAVORED BRANDY');  
          WRITELN('2 OZ RUM');  
          WRITELN('1/2 CUP DEEP BLACK COFFEE');  
          WRITELN('2 TEASPOONS POWDERED SUGAR');  
          WRITELN;  
          WRITELN('STIR IN SNIFFER AND ADD ICE (CRACKED)');  
          Wait_a_sec;  
       END;  
       12 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('CREME DE MENTHE');  
          WRITELN;  
          WRITELN('CREME DE MENTHE (GREEN)');
          WRITELN('SHAVED ICE');  
          WRITELN;  
          WRITELN('FILL GLASS WITH SHAVED ICE. POUR IN CREME DE MENTHE.');  
          WRITELN('SERVE WITH TWO STRAWS.');  
          Wait_a_sec;  
       END;
       13 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('DAIQUIRI');  
          WRITELN;  
          WRITELN('JUICE 1 LIME');  
          WRITELN('1 TEASPOON POWDERED SUGAR');  
          WRITELN('1 1/2 OZ RUM');  
          WRITELN;  
          WRITELN('SHAKE WITH ICE AND STRAIN INTO GLASS.');  
          Wait_a_sec;  
       END;  
       14 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('DIXIE JULEP');  
          WRITELN;
          WRITELN('1 TEASPOON POWDERED SUGAR');  
          WRITELN('2 1/2 OZ BOURBON WHISKEY');  
          WRITELN('ICE');  
          WRITELN;  
          WRITELN('FILL GLASS WITH ICE.  POUR IN INGREDIENTS.');  
          WRITELN('STIR UNTIL GLASS IS');
          WRITELN('FROSTED.  DECORATE WITH MINT ');  
          Wait_a_sec;  
       END;  
       15 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('GEORGIA JULEP');  
          WRITELN;  
          WRITELN('2 MINT LEAVES');  
          WRITELN('1 1/2 OZ BRANDY');  
          WRITELN('1 OZ PEACH BRANDY');  
          WRITELN('1 TEASPOON SUGAR');  
          WRITELN;  
          WRITELN('PUT MINT LEAVES IN GLASS WITH THE ICE.');
          WRITELN('POUR IN INGREDIENTS. DECORATE WITH MINT LEAVES.');
          Wait_a_sec;  
       END;
       16 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('GIMLET');  
          WRITELN;  
          WRITELN('1 OZ LIME JUICE');
          WRITELN('1 1/2 OZ DRY GIN');  
          WRITELN('1 TEASPOON SUGAR');  
          WRITELN;  
          WRITELN('SHAKE WITH ICE AND STRAIN INTO THE GLASS.');  
          Wait_a_sec;  
       END;  
       17 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('GIN AND BITTERS');  
          WRITELN;  
          WRITELN('1/2 TEASPOON BITTERS');  
          WRITELN('DRY GIN');  
          WRITELN;  
          WRITELN('GRADUALLY POUR BITTERS INTO GLASS AND SWIRL GLASS UNTIL THE');
          WRITELN('GLASS IS COATED WITH THE BITTERS.  FILL GLASS WITH DRY GIN');

          Wait_a_sec;  
       END;  
       18 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('GIN AND TONIC');  
          WRITELN;
          WRITELN('2 OZ GIN');  
          WRITELN('QUININE WATER');  
          WRITELN;  
          WRITELN('POUR GIN OVER ICE AND FILL WITH QUININE WATER.  STIR');  
          Wait_a_sec;  
       END;  
       19 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('GRASSHOPPER');  
          WRITELN;  
          WRITELN('2/3 OZ (GREEN) CREME DE MENTHE');  
          WRITELN('2/3 OZ SWEET CREAM');  
          WRITELN('2/3 OZ CREME DE CACAO');  
          WRITELN;  
          WRITELN('SHAKE WITH ICE AND STRAIN INTO GLASS.');
          Wait_a_sec;  
       END;  
       20 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('HORSE''S NECK');
          WRITELN;
          WRITELN('2 OZ BLENDED WHISKEY');  
          WRITELN('GINGER ALE');  
          WRITELN('SPIRAL PEEL OF LEMON');  
          WRITELN;  
          WRITELN('HANG PEEL OVER RIM OF GLASS. FILL WITH ICE. ADD WHISKEY.');  
          WRITELN('FILL GLASS WITH GINGER ALE');  
          Wait_a_sec;  
      END;  
      21 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('HOT BUTTERED RUM');  
          WRITELN;  
          WRITELN('1 LUMP SUGAR');  
          WRITELN('2/3 GLASS BOILING WATER');  
          WRITELN('1 SQUARE BUTTER');
          WRITELN('2 OZ RUM');  
          WRITELN;  
          WRITELN('ADD INGREDIENTS TO A HOT GLASS. STIR. ADD NUTMEG TO TOP.');  
          Wait_a_sec;  
      END;  
      22 : BEGIN  
          CLRSCR;
          GOTOXY(4,3);  
          WRITELN('LADY BE GOOD');  
          WRITELN;  
          WRITELN('1 1/2 OZ BRANDY');  
          WRITELN('1/2 OZ (WHITE) CREME DE MENTHE');  
          WRITELN('1/2 OZ SWEET VERMOUTH');  
          WRITELN;  
          WRITELN('SHAKE WITH ICE AND STRAIN INTO GLASS');  
          Wait_a_sec;  
      END;  
      23 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('LADY FINGER');  
          WRITELN;  
          WRITELN('1 OZ DRY GIN');
          WRITELN('1/2 OZ KIRSCHWASSER');  
          WRITELN('1 OZ CHERRY BRANDY');  
          WRITELN;  
          WRITELN('SHAKE WITH ICE AND STRAIN INTO GLASS');  
          Wait_a_sec;  
      END;  
      24 : BEGIN
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('MANHATTAN');  
          WRITELN('3/4 OZ SWEET VERMOUTH');  
          WRITELN('1 1/2 OZ BLENDED WHISKEY');  
          WRITELN;  
          WRITELN('STIR WITH ICE AND STRAIN INTO GLASS.  SERVE WITH CHERRY.');  
          Wait_a_sec;  
      END;  
      25 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('MARGARITA');  
          WRITELN;  
          WRITELN('1 1/2 OZ TEQUILA');  
          WRITELN('1/2 OZ TRIPLE SEC');
          WRITELN('1 OZ LEMON OR LIME JUICE');  
          WRITELN('SALT');  
          WRITELN;  
          WRITELN('RUB RIM OF GLASS WITH LEMON OR LIME JUICE.');  
          WRITELN('RUB RIM OF GLASS IN SALT.');  
          WRITELN('SHAKE INGREDIENTS IN ICE AND POUR INTO A GLASS');  
          Wait_a_sec;
      END;  
      26 : BEGIN  
          CLRSCR;  
          GOTOXY(4,3);  
          WRITELN('MARTINI');  
          WRITELN;  
          WRITELN('1 1/2 OZ DRY GIN');  
          WRITELN('3/4 OZ VERMOUTH');  
          WRITELN;  
          WRITELN('FROST GLASS PITCHER AND GLASS. POUR IN THE GIN FIRST.');  
          WRITELN('THEN THE VERMOUTH.  STIR WITH VERY COLD DRY (NOT WET) ICE.'); 

          WRITELN('STRAIN INTO GLASS. SERVE WITH OLIVE.');  
          Wait_a_sec;  
      END;  
      27 : BEGIN
          CLRSCR;
          GOTOXY(4,3);
          WRITELN('NIGHT CAP');
          WRITELN;
          WRITELN('2 OZ RUM');
          WRITELN('1 TEASPOON POWDERED SUGAR');
          WRITELN('WARM MILK');
          WRITELN;
          WRITELN('POUR INGREDIENTS IN A GLASS OR MUG ');
          WRITELN('AND SPRINKLE WITH NUTMEG');
          Wait_a_sec;
      END;
      28 : BEGIN
         CLRSCR;
         GOTOXY(4,3);
         WRITELN('TBS DAYTIMER');
         WRITELN;
         WRITELN('1 1/2 OZ VODKA');
         WRITELN('3 OZ TOMATO JUICE');
         WRITELN('DASH LEMON JUICE');
         WRITELN('DASH TABASCO SAUCE');
         WRITELN('SALT');
         WRITELN('PEPPER');
         WRITELN('CELERY');
         WRITELN;
         WRITELN('SHAKE WITH ICE AND STRAIN INTO GLASS. ');
         WRITELN('SERVE WITH CELERY IN GLASS.');
         Wait_a_sec;
      END;
   END;
END;

BEGIN { main }
   TEXTMODE(c80);
   TEXTBACKGROUND(BLACK);
   REPEAT
      intro;
      READ(a_choice);
      select_drink;
   UNTIL ( a_choice = 29 );
   ClrScr;
END.
